local self_ID = "SM-79 by Eagle Dynamics"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

fileMenuName = _("SM-79"),
update_id        = "SM-79",
version		 = "1.5.3",
state		 = "installed",
info		 = _("Marchetti SM 79."),
binaries 	 =
{
'P51Base',
'P51B',
'Cockpit_P51Common', 
'Cockpit_P51D'
},

InputProfiles =
{
    ["SM-79"]      = current_mod_path .. '/Input/SM-79',
    ["SM-79_easy"] = current_mod_path .. '/Input/SM-79_easy',  
},



Skins	=
	{
		{
			name	= _("SM-79"),
			dir		= "Skins/1"
		},
	},

Missions =
	{
		{
			name		= _("SM-79"),
			dir			= "Missions",	
		},
	},	

Options = 
	{
		{
			name		= _("SM-79"),
			nameId		= "SM-79",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("SM-79"),
			type		= "SM-79",
		},
	},		
preload_resources = 
	{
		textures   = {},
		models     = {"tracer_bullet_a-10", "shell_50cal", "tracer_bullet_red", "sled"},
		fonts      = {},
		explosions = {},
	},
})


mount_vfs_texture_path(current_mod_path ..  "/Skins/1/ME")--for simulator loading window
----------------------------------------------------------------------------------------
make_flyable('SM-79',current_mod_path..'/Cockpit/Scripts/',{self_ID,'P51B'},current_mod_path..'/comm.lua')
set_manual_path('P-51D', current_mod_path .. '/Doc/manual')

dofile(current_mod_path..'/SM-79.lua')
dofile(current_mod_path.."/Views.lua")
make_view_settings('SM-79', ViewSettings, SnapViews)

plugin_done()-- finish declaration , clear temporal data
